<table width="100%">
	<tr>
		<td style="width: 100%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="5">Nodes in this Domain</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Node</td>
					<td>Version</td>
					<td>OS</td>
					<td>Last Access</td>
					<td>Last IP Addr</td>
					<td>Client Opt</td>
					<?php foreach (Kohana::$config->load('config')->tsmdatatypes as $btype => $ctype) { ?>
					<td><?php echo $ctype[0]; ?></td>
					<?php } ?>
					<?php foreach (Kohana::$config->load('config')->tsmpooltypes as $type) { ?>
					<td colspan="3" class="right"><?php echo $type; ?>(Vol/Fil/Dat)</td>
					<?php } ?>
				</tr>
				<?php $i=0; foreach ($do->NODE->find_all() as $no) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><abbr title="<?php printf('%s (%s)',$no->display('CONTACT'),$no->display('EMAIL_ADDRESS')); ?>"><?php echo HTML::anchor('node/detail/'.$no->NODE_NAME,$no->NODE_NAME); ?></abbr></td>
					<td class="data"><?php echo $no->tsmclientversion(); ?></td>
					<td class="data"><?php echo $no->platform(); ?></td>
					<td class="data"><?php echo $no->display('LASTACC_TIME'); ?></td>
					<td class="data"><?php echo $no->display('TCP_ADDRESS'); ?></td>
					<td class="data"><?php echo $no->display('OPTION_SET'); ?></td>
					<?php foreach (Kohana::$config->load('config')->tsmdatatypes as $btype => $ctype) { ?>
					<td class="data"><?php echo $no->hasData($btype) ? 'Y' : 'N'; ?></td>
					<?php } ?>
					<?php foreach (Kohana::$config->load('config')->tsmpooltypes as $type) { ?>
					<td class="data-right"><?php echo count($no->getStorageTypeVols($type)); ?></td>
					<td class="data-right"><?php echo $no->getStorageTypeFiles($type); ?></td>
					<td class="data-right"><?php echo $no->getStorageTypeData($type); ?></td>
					<?php } ?>
				</tr>
				<?php } ?>
			</table>
		</td>
	</tr>
	<tr>
		<td class="spacer">&nbsp;</td>
	</tr>
	<tr>
		<td style="width: 100%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="15">Storage Pools used by nodes in this Domain</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="3">Storage Pool</td>
					<td class="right">Scr Use</td>
					<td class="right">Scr Avl</td>
					<td class="right">Access</td>
					<td class="right">Rec %</td>
					<td class="right">Util %</td>
					<td class="right">Migr %</td>
					<td class="right">High/Low</td>
					<td class="right">Next</td>
					<td class="right">Nodes</td>
					<td class="right">Vols</td>
					<td class="right">Files</td>
					<td class="right">MB</td>
				</tr>
				<?php foreach (Kohana::$config->load('config')->tsmdatatypes as $btype => $ctype) { ?>
				<tr class="subhead">
					<td colspan="15"><?php echo $btype; ?></td>
				</tr>
				<?php foreach (Kohana::$config->load('config')->tsmpooltypes as $type) { ?>
				<tr class="subhead">
					<td>&nbsp;</td>
					<td colspan="14"><?php echo $type; ?></td>
				</tr>
				<?php $i=0; foreach ($do->getStoragePoolsType($btype,$type) as $spo) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td colspan="2">&nbsp;</td>
					<td class="data"><?php echo HTML::anchor('stgpool/detail/'.$spo->STGPOOL_NAME,$spo->display('STGPOOL_NAME')); ?></td>
					<td class="data-right"><?php echo $spo->display('NUMSCRATCHUSED'); ?></td>
					<td class="data-right"><?php echo $spo->display('MAXSCRATCH'); ?></td>
					<td class="data-right"><?php echo $spo->display('ACCESS'); ?></td>
					<td class="data-right"><?php echo $spo->display('RECLAIM'); ?></td>
					<td class="data-right"><?php echo $spo->display('PCT_UTILIZED'); ?></td>
					<td class="data-right"><?php echo $spo->display('PCT_MIGR'); ?></td>
					<td class="data-right"><?php printf('%s/%s',$spo->HIGHMIG,$spo->LOWMIG); ?></td>
					<td class="data-right"><?php echo $spo->NEXTSTGPOOL ? HTML::anchor('stgpool/detail/'.$spo->NEXTSTGPOOL,$spo->display('NEXTSTGPOOL')) : '&nbsp;'; ?></td>
					<td class="data-right"><?php echo count($do->getStorageModeNodes($btype,$type,$spo)); ?></td>
					<td class="data-right"><?php echo count($do->getStorageModeVols($ctype,$type,$spo)); ?></td>
					<td class="data-right"><?php echo $do->getStorageModeFiles($btype,$type,$spo); ?></td>
					<td class="data-right"><?php echo $do->getStorageModeData($btype,$type,$spo); ?></td>
				</tr>
				<?php } ?>
				<?php } ?>
				<?php } ?>
			</table>
		</td>
	</tr>
	<tr>
		<td class="spacer">&nbsp;</td>
	</tr>
	<tr>
		<td style="width: 100%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="14">Sequential Volumes needed to restore Data for Nodes in this Domain</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="4">Volume</td>
					<td>Status</td>
					<td>Access</td>
					<td>Scr</td>
					<td class="right">Pct %</td>
					<td class="right">Rec %</td>
					<td class="right">Mounted</td>
					<td class="right">R/W Err</td>
					<td class="right">FS</td>
					<td class="right">Nodes</td>
					<td class="right">Location</td>
				</tr>
				<?php foreach (Kohana::$config->load('config')->tsmdatatypes as $btype => $ctype) { ?>
				<tr class="subhead">
					<td colspan="14"><?php echo $btype; ?></td>
				</tr>
				<?php foreach (Kohana::$config->load('config')->tsmpooltypes as $type) { ?>
				<tr class="subhead">
					<td>&nbsp;</td>
					<td colspan="13"><?php echo $type; ?></td>
				</tr>
				<?php $i=0;foreach ($do->getStoragePoolsType($btype,$type) as $spo) { ?>
				<tr class="subhead">
					<td colspan="2">&nbsp;</td>
					<td colspan="13"><?php echo $spo->DISPLAY('STGPOOL_NAME'); ?></td>
				</tr>
				<?php foreach ($do->getStorageModeVols($ctype,$type,$spo) as $vuo) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td colspan="3">&nbsp;</td>
					<td class="data"><?php echo $vuo->VOLUME_NAME; ?></td>
					<td class="data"><?php echo $vuo->VOLUME->display('STATUS'); ?></td>
					<td class="data"><?php echo $vuo->VOLUME->display('ACCESS'); ?></td>
					<td class="data"><?php echo $vuo->VOLUME->isScratch() ? 'Y' : 'N'; ?></td>
					<td class="data-right"><?php echo $vuo->VOLUME->display('PCT_UTILIZED'); ?></td>
					<td class="data-right"><?php echo $vuo->VOLUME->display('PCT_RECLAIM'); ?></td>
					<td class="data-right"><?php echo $vuo->VOLUME->display('TIMES_MOUNTED'); ?></td>
					<td class="data-right"><?php printf('%s/%s',$vuo->VOLUME->READ_ERRORS,$vuo->VOLUME->WRITE_ERRORS); ?></td>
					<td class="data-right"><?php echo $vuo->VOLUME->getFSOnVol($ctype); ?></td>
					<td class="data-right"><?php echo $vuo->VOLUME->getNodesOnVol($ctype); ?></td>
					<td class="data-right"><?php echo $vuo->VOLUME->location(); ?></td>
				</tr>
				<?php } ?>
				<?php } ?>
				<?php } ?>
				<?php } ?>
			</table>
		</td>
	</tr>
	<tr>
		<td class="spacer">&nbsp;</td>
	</tr>
	<tr>
		<td>
			<?php echo View::factory('node/policy')->set('domain',$do); ?>
		</td>
	</tr>
	<tr>
		<td class="spacer">&nbsp;</td>
	</tr>
	<tr>
		<td style="width: 100%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="7">Schedules used in this Domain</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Schedule</td>
					<td>Start Time</td>
					<td>Duration</td>
					<td>Repeat</td>
					<td>Valid Day</td>
					<td>Priority</td>
					<td>Nodes</td>
				</tr>
				<?php $i=0;foreach ($do->SCHEDULE_CLIENT->find_all() as $so) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo $so->display('SCHEDULE_NAME'); ?></td>
					<td class="data"><?php echo $so->display('STARTTIME'); ?></td>
					<td class="data"><?php printf('%s %s',$so->DURATION,$so->DURUNITS); ?></td>
					<td class="data"><?php printf('%s %s',$so->PERIOD,$so->PERUNITS); ?></td>
					<td class="data"><?php echo $so->display('DAYOFWEEK'); ?></td>
					<td class="data"><?php echo $so->display('PRIORITY'); ?></td>
					<td class="data"><?php echo count($so->getNodes()); ?></td>
				</tr>
				<?php } ?>
			</table>
		</td>
	</tr>
</table>
