<table width="100%">
	<tr>
		<td style="width: 50%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="2">TSM Node Schedules</td>
				</tr>
				<?php if ($node->ASSOCIATION->find_all()) { ?>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Schedule</td>
					<td>Start Time</td>
					<td>Duration</td>
					<td>Repeat</td>
					<td>Valid Day</td>
					<td>Priority</td>
				</tr>
				<?php $i=0;foreach ($node->ASSOCIATION->find_all() as $ao) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo $ao->display('SCHEDULE_NAME'); ?></td>
					<td class="data"><?php echo $ao->SCHEDULE_CLIENT->display('STARTTIME'); ?></td>
					<td class="data"><?php printf('%s %s',$ao->SCHEDULE_CLIENT->DURATION,$ao->SCHEDULE_CLIENT->DURUNITS); ?></td>
					<td class="data"><?php printf('%s %s',$ao->SCHEDULE_CLIENT->PERIOD,$ao->SCHEDULE_CLIENT->PERUNITS); ?></td>
					<td class="data"><?php echo $ao->SCHEDULE_CLIENT->display('DAYOFWEEK'); ?></td>
					<td class="data"><?php echo $ao->SCHEDULE_CLIENT->display('PRIORITY'); ?></td>
				</tr>
				<?php } ?>
				<?php } else { ?>
					<tr><td>There are no TSM schedules define for this Node.</td></tr>
				<?php } ?>
			</table>
		</td>
		<td style="width: 50%; vertical-align: top;" rowspan="2">
			<table class="box-full">
				<tr>
					<td class="head" colspan="2">Summary Activity</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Start</td>
					<td>End</td>
					<td>Activity</td>
					<td>Schedule</td>
					<td>MB</td>
				</tr>
				<?php $i=0;foreach ($node->SUMMARY->find_all() as $so) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo $so->display('START_TIME'); ?></td>
					<td class="data"><?php echo $so->display('END_TIME'); ?></td>
					<td class="data"><?php echo $so->display('ACTIVITY'); ?></td>
					<td class="data"><?php echo $so->display('SCHEDULE_NAME'); ?></td>
					<td class="data" style="text-align: right;"><?php printf('%3.2f',round($so->display('BYTES')/1024/1024,2)); ?></td>
				</tr>
				<?php } ?>
			</table>
		</td>
	</tr>
	<tr>
		<td style="width: 50%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="2">Schedule Activity</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Sched Start</td>
					<td>Act Start</td>
					<td>Schedule Name</td>
					<td>Status</td>
					<td>Completed</td>
					<td>Result</td>
				</tr>
				<?php $i=0;foreach ($node->EVENT->find_all() as $eo) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo $eo->display('SCHEDULED_START'); ?></td>
					<td class="data"><?php echo HTML::nbsp($eo->display('ACTUAL_START')); ?></td>
					<td class="data"><?php echo $eo->display('SCHEDULE_NAME'); ?></td>
					<td class="data"><?php echo $eo->display('STATUS'); ?></td>
					<td class="data"><?php echo HTML::nbsp($eo->display('COMPLETED')); ?></td>
					<td class="data"><?php printf('%s %s',$eo->RESULT,$eo->display('REASON')); ?></td>
				</tr>
				<?php } ?>
			</table>
		</td>
	</tr>
</table>
