<table width="100%">
	<tr>
		<td rowspan="2" style="width: 50%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="5">Information for this Storage Pool</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td style="width: 40%;">Description</td>
					<td style="width: 60%;" class="data"><?php echo $so->display('DESCRIPTION'); ?></td>
				</tr>
				<tr>
					<td>Type</td>
					<td class="data"><?php echo $so->display('POOLTYPE'); ?></td>
				</tr>
				<tr>
					<td>Est Capacity</td>
					<td class="data"><?php echo $so->display('EST_CAPACITY_MB'); ?></td>
				</tr>
				<tr>
					<td>Util %</td>
					<td class="data"><?php echo $so->display('PCT_UTILIZED'); ?></td>
				</tr>
				<?php if ($so->DEVCLASS != 'DISK') { ?>
				<tr>
					<td>Scratch Vols</td>
					<td class="data"><?php printf('%s/%s',$so->NUMSCRATCHUSED,$so->MAXSCRATCH); ?></td>
				</tr>
				<tr>
					<td>Volume Reuse Delay</td>
					<td class="data"><?php echo $so->display('REUSEDELAY'); ?></td>
				</tr>
				<?php } ?>
				<tr>
					<td>Access</td>
					<td class="data"><?php echo $so->display('ACCESS'); ?></td>
				</tr>
				<tr>
					<td>Max Object Size</td>
					<td class="data"><?php echo $so->display('MAXSIZE'); ?></td>
				</tr>
				<tr>
					<td>Collate</td>
					<td class="data"><?php echo $so->display('COLLOCATE'); ?></td>
				</tr>
				<?php if ($so->DEVCLASS === 'DISK') { ?>
				<tr>
					<td>Cache Migrated Files</td>
					<td class="data"><?php echo $so->display('CACHE'); ?></td>
				</tr>
				<?php } else { ?>
				<tr>
					<td>Reclaim %</td>
					<td class="data"><?php echo $so->display('RECLAIM'); ?></td>
				</tr>
				<tr>
					<td>Reclaim Processes</td>
					<td class="data"><?php echo $so->display('RECLAIMPROCESS'); ?></td>
				</tr>
				<tr>
					<td>Reclaim Storage Pool</td>
					<td class="data"><?php echo $so->display('RECLAIMSTGPOOL'); ?></td>
				</tr>
				<?php } ?>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Next Pool</td>
				<?php if ($so->NEXTSTGPOOL AND $so->POOLTYPE === 'PRIMARY') { ?>
					<td class="data"><?php echo HTML::anchor('stgpool/detail/'.$so->NEXTSTGPOOL,$so->display('NEXTSTGPOOL')); ?></td>
				</tr>
				<tr>
					<td>Migratable %</td>
					<td class="data"><?php echo $so->display('PCT_MIGR'); ?></td>
				</tr>
				<tr>
					<td>Hi/Low Migration</td>
					<td class="data"><?php printf('%s/%s',$so->HIGHMIG,$so->LOWMIG); ?></td>
				</tr>
				<tr>
					<td>Migration Delay</td>
					<td class="data"><?php echo $so->display('MIGDELAY'); ?></td>
				</tr>
				<tr>
					<td>Migration Continue</td>
					<td class="data"><?php echo $so->display('MIGCONTINUE'); ?></td>
				</tr>
				<tr>
					<td>Last Migration Time</td>
					<td class="data"><?php echo $so->display('MIGR_SECONDS'); ?></td>
				</tr>
				<tr>
					<td>Last Migration Data</td>
					<td class="data"><?php echo $so->display('MIGR_MB'); ?></td>
				<?php } elseif (! $so->NEXTSTGPOOL AND $so->POOLTYPE === 'PRIMARY') { ?>
					<td class="data"><?php echo _('No migration enabled'); ?></td>
				<?php } ?>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Active Data Pools</td>
					<td class="data"><?php echo $so->display('ACTIVEDATASTGPOOLS'); ?></td>
				</tr>
				<tr>
					<td>Copy Pools</td>
					<td class="data"><?php echo $so->display('COPYSTGPOOLS'); ?></td>
				</tr>
				<tr>
					<td>Copy Continue</td>
					<td class="data"><?php echo $so->display('COPYCONTINUE'); ?></td>
				</tr>
			</table>
		</td>
		<td style="width: 50%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="5">Device Class information</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td style="width: 40%;">Access</td>
					<td style="width: 60%;" class="data"><?php echo $so->DEVCLASSES->display('ACCESS_STRATEGY'); ?></td>
				</tr>
				<tr>
					<td>Device Type</td>
					<td class="data"><?php echo $so->DEVCLASSES->display('DEVTYPE'); ?></td>
				</tr>
				<tr>
					<td>Format</td>
					<td class="data"><?php echo $so->DEVCLASSES->display('FORMAT'); ?></td>
				</tr>
				<tr>
					<td>Capacity</td>
					<td class="data"><?php echo $so->DEVCLASSES->display('CAPACITY'); ?></td>
				</tr>
				<tr>
					<td>Mount Limit</td>
					<td class="data"><?php echo $so->DEVCLASSES->display('MOUNTLIMIT'); ?></td>
				</tr>
				<?php if ($so->DEVCLASSES->DEVTYPE == 'FILE') { ?>
				<tr>
					<td>Directory</td>
					<td class="data"><?php echo $so->DEVCLASSES->display('DIRECTORY'); ?></td>
				</tr>
				<?php } else { ?>
				<tr>
					<td>Library</td>
					<td class="data"><?php echo $so->DEVCLASSES->display('LIBRARY_NAME'); ?></td>
				</tr>
				<tr>
					<td>Mount Wait</td>
					<td class="data"><?php echo $so->DEVCLASSES->display('MOUNTWAIT'); ?></td>
				</tr>
				<tr>
					<td>Mount Retention</td>
					<td class="data"><?php echo $so->DEVCLASSES->display('MOUNTRETENTION'); ?></td>
				</tr>
				<?php } ?>
			</table>
		</td>
	</tr>
	<tr>
		<td style="width: 50%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="5">Management classes that directly store here</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td class="head" colspan="5">Backup Management Classes</td>
				</tr>
				<tr>
					<td>Domain</td>
					<td>MgmtClass</td>
					<td>Copy Group</td>
				</tr>
				<?php $i=0; foreach ($so->COPYGROUP_BU->where('SET_NAME','=','ACTIVE')->find_all() as $cgo) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo HTML::anchor('domain/detail/'.$cgo->DOMAIN_NAME,$cgo->display('DOMAIN_NAME')); ?></td>
					<td class="data"><?php echo $cgo->display('CLASS_NAME'); ?></td>
					<td class="data"><?php echo $cgo->display('COPYGROUP_NAME'); ?></td>
				</tr>
				<?php } ?>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td class="head" colspan="5">Archive Management Classes</td>
				</tr>
				<tr>
					<td>Domain</td>
					<td>MgmtClass</td>
					<td>Copy Group</td>
				</tr>
				<?php $i=0; foreach ($so->COPYGROUP_AR->where('SET_NAME','=','ACTIVE')->find_all() as $cgo) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo $cgo->display('DOMAIN_NAME'); ?></td>
					<td class="data"><?php echo $cgo->display('CLASS_NAME'); ?></td>
					<td class="data"><?php echo $cgo->display('COPYGROUP_NAME'); ?></td>
				</tr>
				<?php } ?>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td class="head" colspan="5">HSM Management Classes</td>
				</tr>
				<tr>
					<td>Domain</td>
					<td>MgmtClass</td>
				</tr>
				<?php $i=0; foreach ($so->MGMTCLASS->where('SET_NAME','=','ACTIVE')->find_all() as $mo) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo $mo->display('DOMAIN_NAME'); ?></td>
					<td class="data"><?php echo $mo->display('CLASS_NAME'); ?><?php echo $mo->DEFAULTMC == 'Yes' ? '*' : ''; ?></td>
				</tr>
				<?php } ?>
			</table>
		</td>
	</tr>
	<tr>
		<td style="width: 100%; vertical-align: top;" colspan="2">
			<table class="box-full">
				<tr>
					<td class="head" colspan="5">Volumes in this Storage Pool</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Volume</td>
					<td>Last Read Date</td>
					<td>Last Write Date</td>
					<td>Access</td>
					<td>Status</td>
					<td class="right">Errors R/W</td>
					<td class="right">Util %</td>
					<td class="right">Reclaim</td>
					<?php foreach (Kohana::$config->load('config')->tsmdatatypes as $btype => $ctype) { ?>
					<td class="right"><?php echo 'FS '.$btype; ?></td>
					<td class="right"><?php echo 'Node '.$btype; ?></td>
					<?php } ?>
				</tr>
				<?php $i=0; foreach ($so->VOLUME->find_all() as $vo) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo $vo->display('VOLUME_NAME'); ?></td>
					<td class="data"><?php echo $vo->display('LAST_READ_DATE'); ?></td>
					<td class="data"><?php echo $vo->display('LAST_WRITE_DATE'); ?></td>
					<td class="data"><?php echo $vo->display('ACCESS'); ?></td>
					<td class="data"><?php echo $vo->display('STATUS'); ?></td>
					<td class="data-right"><?php printf('%s/%s',$vo->READ_ERRORS,$vo->WRITE_ERRORS); ?></td>
					<td class="data-right"><abbr title="<?php echo $vo->display('EST_CAPACITY_MB'); ?>"><?php echo $vo->display('PCT_UTILIZED'); ?></abbr></td>
					<td class="data-right"><?php echo $vo->display('PCT_RECLAIM'); ?></td>
					<?php foreach (Kohana::$config->load('config')->tsmdatatypes as $btype => $ctype) { ?>
					<td class="data-right"><?php echo $vo->getFSOnVol($ctype); ?></td>
					<td class="data-right"><?php echo $vo->getNodesOnVol($ctype); ?></td>
					<?php } ?>
				</tr>
				<?php } ?>
			</table>
		</td>
	</tr>
	<tr>
		<td style="width: 100%; vertical-align: top;" colspan="2">
			<table class="box-full">
				<tr>
					<td class="head" colspan="5">Nodes with data in this Storage Pool</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Node</td>
					<td>Type</td>
					<td>File Space</td>
					<td>Num Files</td>
					<td>Physical</td>
					<td>Logical</td>
					<td>Reporting</td>
				</tr>
                                <?php $i=0; foreach ($so->OCC->find_all() as $oo) { ?>
                                <tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
                                        <td class="data"><?php echo HTML::anchor('node/detail/'.$oo->NODE_NAME,$oo->NODE_NAME); ?></td>
                                        <td class="data"><?php echo $oo->display('TYPE'); ?></td>
                                        <td class="data"><?php echo $oo->display('FILESPACE_NAME'); ?></td>
                                        <td class="data"><?php echo $oo->display('NUM_FILES'); ?></td>
                                        <td class="data"><?php echo $oo->display('PHYSICAL_MB'); ?></td>
                                        <td class="data"><?php echo $oo->display('LOGICAL_MB'); ?></td>
                                        <td class="data"><?php echo $oo->display('REPORTING_MB'); ?></td>
                                </tr>
                                <?php } ?>
			</table>
		</td>
	</tr>
</table>
