<table width="100%">
	<tr>
		<td style="width: 50%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="2">Node Information</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td style="width: 40%;">Node Name</td>
					<td style="width: 60%;" class="data"><?php echo $node->display('NODE_NAME'); ?> (<?php echo $node->URL ? HTML::anchor($node->URL,$node->display('TCP_ADDRESS')) : $node->display('TCP_ADDRESS'); ?>)</td>
				</tr>
				<tr>
					<td>Node Contact</td>
					<td class="data"><?php echo $node->display('CONTACT'); echo $node->EMAIL_ADDRESS ? ' ('.HTML::mailto($node->EMAIL_ADDRESS).')' : ''; ?> </td>
				</tr>
				<tr>
					<td>Operating Sytem</td>
					<td class="data"><?php echo $node->platform(); ?></td>
				</tr>
				<tr>
					<td>TSM Client Version</td>
					<td class="data"><?php echo $node->tsmclientversion(); ?></td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Date Registered</td>
					<td class="data"><?php echo $node->display('REG_TIME'); ?> (by <?php echo $node->display('REG_ADMIN'); ?>)</td>
				</tr>
				<tr>
					<td>Date Last Password Change</td>
					<td class="data"><?php echo $node->display('PWSET_TIME'); ?></td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Password Expiry</td>
					<td class="data"><?php echo $node->passexp(); ?></td>
				</tr>
				<tr>
					<td>Invalid Password Count</td>
					<td class="data"><?php echo $node->display('INVALID_PW_COUNT'); ?> (<?php echo $node->LOCKED == 'NO' ? _('Not Locked') : _('Locked'); ?>)</td>
				</tr>
			</table>
		</td>
		<td style="width: 50%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="2">Last Session Performance Information</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td style="width: 40%;">Last Access</td>
					<td style="width: 60%;" class="data"><?php echo $node->display('LASTACC_TIME'); ?></td>
				</tr>
				<tr>
					<td>Last Sent</td>
					<td class="data"><?php echo number_format($node->LASTSESS_SENT/1024/1024,2); ?> MB</td>
				</tr>
				<tr>
					<td>Last Receive</td>
					<td class="data"><?php echo number_format($node->LASTSESS_RECVD/1024/1024,2); ?> MB</td>
				</tr>
				<tr>
					<td>Last Duration</td>
					<td class="data"><?php echo number_format($node->LASTSESS_DURATION/60,2); ?> min</td>
				</tr>
				<tr>
					<td>Last Session Idle Wait Percent</td>
					<td class="data"><?php echo $node->display('LASTSESS_IDLEWAIT'); ?>% (<?php echo number_format($node->LASTSESS_DURATION*($node->LASTSESS_IDLEWAIT/100),2); ?>s)</td>
				</tr>
				<tr>
					<td>Last Session Comm Wait Percent</td>
					<td class="data"><?php echo $node->display('LASTSESS_COMMWAIT'); ?>% (<?php echo number_format($node->LASTSESS_DURATION*($node->LASTSESS_COMMWAIT/100),2); ?>s)</td>
				</tr>
				<tr>
					<td>Last Session Media Wait Percent</td>
					<td class="data"><?php echo $node->display('LASTSESS_MEDIAWAIT'); ?>% (<?php echo number_format($node->LASTSESS_DURATION*($node->LASTSESS_MEDIAWAIT/100),2); ?>s)</td>
				</tr>
				<tr>
					<td>Last Session Transfer Percent</td>
					<td class="data"><?php echo number_format($node->lasttransferpercent(),2); ?>% (<?php echo number_format($node->lasttransfertime(),2); ?>s)</td>
				</tr>
				<tr>
					<td>Last Session Send Performance</td>
					<td class="data"><?php echo number_format($node->lastsendperformance(),2); ?> MB/s (<?php echo number_format($node->lastsendaggperformance(),2); ?> MB/s Aggregate)</td>
				</tr>
				<tr>
					<td>Last Session Receive Performance</td>
					<td class="data"><?php echo number_format($node->lastreceiveperformance(),2); ?> MB/s (<?php echo number_format($node->lastreceiveaggperformance(),2); ?> MB/s Aggregate)</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td style="width: 50%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="2">Backup Settings</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td style="width: 40%;">Domain</td>
					<td style="width: 60%;" class="data"><?php echo HTML::anchor('domain/detail/'.$node->DOMAIN,$node->display('DOMAIN')); ?></td>
				</tr>
				<tr>
					<td>Client Option Set</td>
					<td class="data"><?php echo $node->display('OPTION_SET'); ?></td>
				</tr>
				<tr>
					<td>Collocation Group</td>
					<td class="data"><?php echo $node->COLLOCGROUP_NAME ? $node->display('COLLOCGROUP_NAME') : 'Not Set'; ?></td>
				</tr>
				<tr>
					<td>Client Compression</td>
					<td class="data"><?php echo $node->display('COMPRESSION'); ?></td>
				</tr>
				<tr>
					<td>TXN Group Max</td>
					<td class="data"><?php echo $node->txngroupmax(); ?></td>
				</tr>
				<tr>
					<td>Delete Archives</td>
					<td class="data"><?php echo $node->display('ARCHDELETE'); ?></td>
				</tr>
				<tr>
					<td>Delete Backups</td>
					<td class="data"><?php echo $node->display('BACKDELETE'); ?></td>
				</tr>
				<tr>
					<td>Keep Mount Points</td>
					<td class="data"><?php echo $node->display('KEEP_MP'); ?> (<?php echo $node->display('MAX_MP_ALLOWED'); ?>)</td>
				</tr>
			</table>
		</td>
		<td style="width: 50%; vertical-align: top;">
			&nbsp;
		</td>
	</tr>
	<tr>
		<td style="width: 50%; vertical-align: top;">
			<?php echo View::factory('node/policy')->set('domain',$node->DOMAIN); ?>
		</td>
		<td style="width: 50%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="2">Server Side Client Options</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>Client Option</td>
					<td>Seq #</td>
					<td>Setting</td>
					<td>Forced</td>
				</tr>
				<?php if ($node->OPTION_SET) { ?>
				<?php $i=0; foreach ($node->CLIENTOPT->find_all() as $coo) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo $coo->display('OPTION_NAME'); ?></td>
					<td class="data"><?php echo $coo->display('SEQNUMBER'); ?></td>
					<td class="data"><?php echo $coo->display('OPTION_VALUE'); ?></td>
					<td class="data"><?php echo $coo->display('FORCE'); ?></td>
				</tr>
				<?php } ?>
				<?php } else { ?>
				<tr>
					<td>This node is not configured for any server side Client Options</td>
				</tr>
				<?php } ?>
			</table>
		</td>
	</tr>
</table>
