<table width="100%">
	<tr>
		<td style="width: 50%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="2">Backup Information</td>
				</tr>
				<?php if ($node->getStoragePools('Bkup')) { ?>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>File Space</td>
					<td>Last Date</td>
					<td class="right">Utilisation</td>
					<?php foreach (Kohana::$config->load('config')->tsmpooltypes as $type)
						 if (count($pools = $node->getStoragePoolsType('Bkup',$type)))
							foreach ($pools as $pool_name) { ?>
					<td class="right"><?php echo $pool_name; ?> <span style="vertical-align: super; font-size: 60%;"><?echo $type; ?></span></td>
					<?php } ?>
				</tr>
				<?php $i=0;foreach ($node->FILESPACE->find_all() as $fso) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo $fso->display('FILESPACE_NAME'); ?></td>
					<td class="data"><?php echo $fso->display('BACKUP_END'); ?></td>
					<td class="data-right"><?php echo number_format($fso->utilsation(),2); ?></td>
					<?php foreach (Kohana::$config->load('config')->tsmpooltypes as $type)
						 if (count($pools = $node->getStoragePoolsType('Bkup',$type)))
							foreach ($pools as $pool_name) { ?>
					<td class="data-right"><?php echo number_format($fso->pool_logical_util($pool_name,'Bkup'),2); ?> (<?php echo $fso->pool_numvols($pool_name,'BACKUP'); ?>)</td>
					<?php } ?>
				</tr>
				<?php } ?>
				<?php } else { ?>
					<tr><td>There is NO Backup Data for this Node.</td></tr>
				<?php } ?>
			</table>
		</td>
		<td style="width: 50%; vertical-align: top;" rowspan="2">
			<table class="box-full">
				<tr>
					<td class="head" colspan="2">Storage Summary</td>
				</tr>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="2">Storage Type</td>
					<td class="right">Vols</td>
					<td class="right">Files</td>
					<td class="right">MB</td>
				</tr>
				<?php $i=0; foreach (Kohana::$config->load('config')->tsmpooltypes as $type) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data" colspan="2"><?php echo $type; ?></td>
					<td class="data-right"><?php echo count($node->getStorageTypeVols($type)); ?></td>
					<td class="data-right"><?php echo $node->getStorageTypeFiles($type); ?></td>
					<td class="data-right"><?php echo $node->getStorageTypeData($type); ?></td>
				</tr>
				<?php foreach ($node->getAllStoragePoolsType($type) as $spo) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td>&nbsp;</td>
					<td><?php echo $spo; ?></td>
					<td class="right"><?php echo count($node->getStorageTypeVols($type,$spo)); ?></td>
					<td class="right"><?php echo $node->getStorageTypeFiles($type,$spo); ?></td>
					<td class="right"><?php echo $node->getStorageTypeData($type,$spo); ?></td>
				</tr>
				<?php } ?>
				<?php } ?>
			</table>
		</td>
	</tr>
	<tr>
		<td style="width: 50%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="2">Archive Information</td>
				</tr>
				<?php if ($node->getStoragePools('Arch')) { ?>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>File Space</td>
					<?php foreach (Kohana::$config->load('config')->tsmpooltypes as $type)
						 if (count($pools = $node->getStoragePoolsType('Arch',$type)))
							foreach ($pools as $pool_name) { ?>
					<td class="right"><?php echo $pool_name; ?> <span style="vertical-align: super; font-size: 60%;"><?echo $type; ?></span></td>
					<?php } ?>
				</tr>
				<?php $i=0;foreach ($node->FILESPACE->find_all() as $fso) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo $fso->display('FILESPACE_NAME'); ?></td>
					<?php foreach (Kohana::$config->load('config')->tsmpooltypes as $type)
						 if (count($pools = $node->getStoragePoolsType('Arch',$type)))
							foreach ($pools as $pool_name) { ?>
					<td class="data-right"><?php echo number_format($fso->pool_logical_util($pool_name,'Arch'),2); ?> (<?php echo $fso->pool_numvols($pool_name,'ARCHIVE'); ?>)</td>
					<?php } ?>
				</tr>
				<?php } ?>
				<?php } else { ?>
					<tr><td>There is NO Archive Data for this Node.</td></tr>
				<?php } ?>
			</table>
		</td>
		<td style="width: 50%; vertical-align: top;">
			&nbsp;
		</td>
	</tr>
	<tr>
		<td style="width: 50%; vertical-align: top;">
			<table class="box-full">
				<tr>
					<td class="head" colspan="2">HSM Information</td>
				</tr>
				<?php if ($node->getStoragePools('SpMg')) { ?>
				<tr>
					<td class="spacer">&nbsp;</td>
				</tr>
				<tr>
					<td>File Space</td>
					<?php foreach (Kohana::$config->load('config')->tsmpooltypes as $type)
						 if (count($pools = $node->getStoragePoolsType('SpMg',$type)))
							foreach ($pools as $pool_name) { ?>
					<td class="right"><?php echo $pool_name; ?> <span style="vertical-align: super; font-size: 60%;"><?echo $type; ?></span></td>
					<?php } ?>
				</tr>
				<?php $i=0;foreach ($node->FILESPACE->find_all() as $fso) { ?>
				<tr class="<?php echo $i++%2 ? 'odd' : 'even'; ?>">
					<td class="data"><?php echo $fso->display('FILESPACE_NAME'); ?></td>
					<?php foreach (Kohana::$config->load('config')->tsmpooltypes as $type)
						 if (count($pools = $node->getStoragePoolsType('SpMg',$type)))
							foreach ($pools as $pool_name) { ?>
					<td class="data-right"><?php echo number_format($fso->pool_logical_util($pool_name,'SpMg'),2); ?> (<?php echo $fso->pool_numvols($pool_name,'SPACE MANAGED'); ?>)</td>
					<?php } ?>
				</tr>
				<?php } ?>
				<?php } else { ?>
					<tr><td>There is NO HSM Data for this Node.</td></tr>
				<?php } ?>
			</table>
		</td>
		<td style="width: 50%; vertical-align: top;">
			&nbsp;
		</td>
	</tr>
</table>
